<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.openapi.roots.ModuleExtensionEpKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ContentEntry com.intellij.openapi.roots.SourceFolder addSourceFolder(java.lang.String, org.jetbrains.jps.model.module.JpsModuleSourceRootType&lt;P&gt;, P, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary com.intellij.openapi.roots.SyntheticLibrary newImmutableLibrary(java.util.Collection&lt;com.intellij.openapi.vfs.VirtualFile&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.3566.24&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleRootModificationUtil void addDependency(com.intellij.openapi.module.Module, com.intellij.openapi.module.Module, com.intellij.openapi.roots.DependencyScope, boolean, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ContentEntry void addExcludePattern(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2656.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.OrderEnumerationHandler boolean addCustomRootsForLibraryOrSdk(com.intellij.openapi.roots.LibraryOrSdkOrderEntry, com.intellij.openapi.roots.OrderRootType, java.util.Collection&lt;java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.GeneratedSourceFilterHyperLinkAction">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleOrderEntry void setProductionOnTestDependency(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleRootEvent com.intellij.openapi.project.Project getProject()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ProjectModelExternalSource">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ExternalLibraryDescriptor ExternalLibraryDescriptor(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2574.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleJdkOrderEntry java.lang.String getJdkTypeName()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.PackageDirectoryCache java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt; getFilesByPackageName(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.OrderRootsEnumerator com.intellij.openapi.roots.OrderRootsEnumerator usingCustomSdkRootProvider(com.intellij.util.NotNullFunction&lt;? super com.intellij.openapi.roots.JdkOrderEntry,com.intellij.openapi.vfs.VirtualFile[]&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ExternalLibraryDescriptor com.intellij.openapi.roots.DependencyScope getPreferredScope()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.13135.103&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleRootModificationUtil void addContentRoot(com.intellij.openapi.module.Module, com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.3095.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.AdditionalLibraryRootsProvider java.util.Collection&lt;com.intellij.openapi.vfs.VirtualFile&gt; getRootsToWatch(com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2827.15&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SourceFolder void changeType(org.jetbrains.jps.model.module.JpsModuleSourceRootType&lt;P&gt;, P)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.GeneratedSourcesFilter.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary com.intellij.openapi.util.Condition&lt;com.intellij.openapi.vfs.VirtualFile&gt; getExcludeFileCondition()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.3968.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ProjectModelBuildableElement">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.711&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.JavaProjectModelModificationService org.jetbrains.concurrency.Promise&lt;java.lang.Void&gt; addDependency(com.intellij.openapi.module.Module, com.intellij.openapi.module.Module, com.intellij.openapi.roots.DependencyScope, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2463.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.GeneratedSourcesFilter com.intellij.openapi.roots.GeneratedSourceFilterNotification getNotification(com.intellij.openapi.vfs.VirtualFile, com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ProjectFileIndex com.intellij.openapi.roots.ProjectFileIndex getInstance(com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.9166.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary boolean contains(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.3741.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.WatchedRootsProvider java.util.Set&lt;java.lang.String&gt; getRootsToWatch(com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleRootModificationUtil void addModuleLibrary(com.intellij.openapi.module.Module, java.lang.String, java.util.List&lt;java.lang.String&gt;, java.util.List&lt;java.lang.String&gt;, java.util.List&lt;java.lang.String&gt;, com.intellij.openapi.roots.DependencyScope, boolean, com.intellij.util.Consumer&lt;? super com.intellij.openapi.roots.impl.libraries.LibraryEx.ModifiableModelEx&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary java.util.Set&lt;com.intellij.openapi.vfs.VirtualFile&gt; getExcludedRoots()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2465.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ImmutableSyntheticLibrary ImmutableSyntheticLibrary(java.lang.String, java.util.List&lt;? extends com.intellij.openapi.vfs.VirtualFile&gt;, java.util.List&lt;? extends com.intellij.openapi.vfs.VirtualFile&gt;, java.util.Set&lt;? extends com.intellij.openapi.vfs.VirtualFile&gt;, com.intellij.openapi.util.Condition&lt;? super com.intellij.openapi.vfs.VirtualFile&gt;, com.intellij.openapi.roots.SyntheticLibrary.ExcludeFileCondition)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModifiableRootModel com.intellij.openapi.roots.ContentEntry addContentEntry(java.lang.String, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.JavaProjectModelModifier org.jetbrains.concurrency.Promise&lt;java.lang.Void&gt; addModuleDependency(com.intellij.openapi.module.Module, com.intellij.openapi.module.Module, com.intellij.openapi.roots.DependencyScope, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2463.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.FileIndex boolean iterateContent(com.intellij.openapi.roots.ContentIterator, com.intellij.openapi.vfs.VirtualFileFilter)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2827.15&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleRootManagerEx MODULE_EXTENSION_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleRootManagerEx MODULE_EXTENSION_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ContentEntry com.intellij.openapi.roots.SourceFolder addSourceFolder(java.lang.String, org.jetbrains.jps.model.module.JpsModuleSourceRootType&lt;P&gt;, P, com.intellij.openapi.roots.ProjectModelExternalSource)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModifiableRootModel void addLibraryEntries(java.util.List&lt;com.intellij.openapi.roots.libraries.Library&gt;, com.intellij.openapi.roots.DependencyScope, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.5080.55&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ProjectExtension boolean readExternalElement(org.jdom.Element)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.10203.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.AdditionalLibraryRootsProvider java.util.Collection&lt;com.intellij.openapi.roots.SyntheticLibrary&gt; getAdditionalProjectLibraries(com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.3019.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary.ExcludeFileCondition">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ProjectFileIndex java.util.Set&lt;com.intellij.openapi.module.Module&gt; getModulesForFile(com.intellij.openapi.vfs.VirtualFile, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.FileIndexFacade boolean isInProjectScope(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ProjectFileIndex boolean isInLibrary(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3512.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ImmutableSyntheticLibrary">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.FileIndexFacade java.util.Collection&lt;com.intellij.openapi.module.UnloadedModuleDescription&gt; getUnloadedModuleDescriptions()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2953.9&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ContentEntry com.intellij.openapi.roots.SourceFolder addSourceFolder(java.lang.String, org.jetbrains.jps.model.module.JpsModuleSourceRootType&lt;P&gt;, com.intellij.openapi.roots.ProjectModelExternalSource)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SkipAddingToWatchedRoots">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ProjectFileIndex java.lang.String getUnloadedModuleNameForFile(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8617.56&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ContentEntry com.intellij.openapi.roots.SourceFolder addSourceFolder(java.lang.String, org.jetbrains.jps.model.module.JpsModuleSourceRootType&lt;P&gt;, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleRootEvent boolean isCausedByWorkspaceModelChangesOnly()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleExtension void writeExternal(org.jdom.Element)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2455.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.DefaultSingleFileSourcesTracker">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ProjectFileIndex boolean isInProject(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SingleFileSourcesTracker">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.FileIndexFacade boolean isIndexable(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.22441.33&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleRootManagerEx long getModificationCountForTests()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary com.intellij.openapi.roots.SyntheticLibrary newImmutableLibrary(java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt;, java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt;, java.util.Set&lt;com.intellij.openapi.vfs.VirtualFile&gt;, com.intellij.openapi.util.Condition&lt;com.intellij.openapi.vfs.VirtualFile&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModifiableRootModel com.intellij.openapi.roots.ModuleOrderEntry findModuleOrderEntry(com.intellij.openapi.module.Module)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2290.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ContentEntry java.util.List&lt;java.lang.String&gt; getExcludePatterns()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2656.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.LanguageLevelProjectExtension LANGUAGE_LEVEL_CHANGED_TOPIC">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.PackageIndex java.lang.String getPackageName(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ContentEntry com.intellij.openapi.roots.ModuleRootModel getRootModel()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary boolean contains(com.intellij.openapi.vfs.VirtualFile, boolean, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.3741.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleExtension void readExternal(org.jdom.Element)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2455.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ContentEntry void removeExcludePattern(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2656.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.DependencyScope com.intellij.openapi.roots.DependencyScope coveringUseCasesOf(com.intellij.openapi.roots.DependencyScope, com.intellij.openapi.roots.DependencyScope)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModifiableModelsProvider com.intellij.openapi.roots.ModifiableModelsProvider getInstance()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ContentEntry com.intellij.openapi.roots.ExcludeFolder addExcludeFolder(java.lang.String, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.JavaProjectDependenciesAnalyzer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary myConstantExcludeCondition">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.OrderEnumerationHandler boolean areResourceFilesFromSourceRootsCopiedToOutput()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleRootListener TOPIC">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ProjectRootManager com.intellij.openapi.roots.ModuleRootManager getModuleRootManager(com.intellij.openapi.module.Module)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ProjectRootManager java.lang.String getProjectSdkTypeName()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary java.util.Collection&lt;com.intellij.openapi.vfs.VirtualFile&gt; getAllRoots()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.3870.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.FileIndex boolean iterateContentUnderDirectory(com.intellij.openapi.vfs.VirtualFile, com.intellij.openapi.roots.ContentIterator, com.intellij.openapi.vfs.VirtualFileFilter)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2272.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ProjectFileIndex boolean isInGeneratedSources(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8214.52&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.FileIndexFacade boolean isInLibrary(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.JavaSyntheticLibrary">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.3870.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleRootManagerEx com.intellij.openapi.roots.ModifiableRootModel getModifiableModelForMultiCommit(com.intellij.openapi.roots.impl.RootConfigurationAccessor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.JavaProjectModelModifier org.jetbrains.concurrency.Promise&lt;java.lang.Void&gt; addLibraryDependency(com.intellij.openapi.module.Module, com.intellij.openapi.roots.libraries.Library, com.intellij.openapi.roots.DependencyScope, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2463.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary com.intellij.openapi.roots.SyntheticLibrary newImmutableLibrary(java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt;, java.util.Set&lt;com.intellij.openapi.vfs.VirtualFile&gt;, com.intellij.openapi.util.Condition&lt;com.intellij.openapi.vfs.VirtualFile&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModifiableRootModel com.intellij.openapi.roots.ContentEntry addContentEntry(java.lang.String, com.intellij.openapi.roots.ProjectModelExternalSource)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.JavaSyntheticLibrary JavaSyntheticLibrary(java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt;, java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt;, java.util.Set&lt;com.intellij.openapi.vfs.VirtualFile&gt;, com.intellij.openapi.util.Condition&lt;com.intellij.openapi.vfs.VirtualFile&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleRootManagerEx void dropCaches()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.LanguageLevelState">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2455.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.TestSourcesFilter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.AnnotationOrderRootType ANNOTATIONS_ID">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.JavaProjectModelModificationService org.jetbrains.concurrency.Promise&lt;java.lang.Void&gt; addDependency(com.intellij.openapi.module.Module, com.intellij.openapi.roots.libraries.Library, com.intellij.openapi.roots.DependencyScope, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2463.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleRootModificationUtil void modifyModel(com.intellij.openapi.module.Module, java.util.function.Function&lt;? super com.intellij.openapi.roots.ModifiableRootModel,java.lang.Boolean&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModifiableRootModel com.intellij.openapi.roots.ContentEntry addContentEntry(com.intellij.openapi.vfs.VirtualFile, com.intellij.openapi.roots.ProjectModelExternalSource)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ProjectModelElement">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.PackageDirectoryCache">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8214.52&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.FileIndexFacade boolean isUnderSourceRootOfType(com.intellij.openapi.vfs.VirtualFile, java.util.Set&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.PackageIndex com.intellij.util.Query&lt;com.intellij.openapi.vfs.VirtualFile&gt; getDirsByPackageName(java.lang.String, com.intellij.psi.search.GlobalSearchScope)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ProjectFileIndex com.intellij.openapi.roots.SourceFolder getSourceFolder(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ExternalProjectSystemRegistry">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.JavaProjectModelModificationService org.jetbrains.concurrency.Promise&lt;java.lang.Void&gt; changeLanguageLevel(com.intellij.openapi.module.Module, com.intellij.pom.java.LanguageLevel, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ContentEntry void setExcludePatterns(java.util.List&lt;java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2656.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.AdditionalLibraryRootsListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.AdditionalLibraryRootsProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.1447.26&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary boolean isShowInExternalLibrariesNode()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3415.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.PackageIndex java.lang.String getPackageNameByDirectory(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.JavaSyntheticLibrary JavaSyntheticLibrary(java.lang.String, java.util.List&lt;? extends com.intellij.openapi.vfs.VirtualFile&gt;, java.util.List&lt;? extends com.intellij.openapi.vfs.VirtualFile&gt;, java.util.Set&lt;? extends com.intellij.openapi.vfs.VirtualFile&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ProjectFileIndex boolean isInProjectOrExcluded(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.TestModulePropertiesProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.OrderRootsEnumerator java.util.Collection&lt;com.intellij.openapi.roots.RootEntry&gt; getRootEntries()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.JdkUtils">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.2784.17&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.PackageIndex com.intellij.util.Query&lt;com.intellij.openapi.vfs.VirtualFile&gt; getFilesByPackageName(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.3019.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary SyntheticLibrary(java.lang.String, com.intellij.openapi.roots.SyntheticLibrary.ExcludeFileCondition)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary com.intellij.openapi.roots.SyntheticLibrary newImmutableLibrary(java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleRootManagerEx">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3647.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.AnnotationOrderRootType boolean hasUrls(com.intellij.openapi.roots.OrderEntry)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.GeneratedSourceFilterNotification">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.LanguageLevelProjectExtension.LanguageLevelChangeListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ExternalLibraryDescriptor ExternalLibraryDescriptor(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.intellij.openapi.roots.DependencyScope)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.13135.103&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleRootModificationUtil void removeDependency(com.intellij.openapi.module.Module, com.intellij.openapi.roots.libraries.Library)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ProjectRootUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleExtensionEp">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ProjectFileIndex org.jetbrains.jps.model.module.JpsModuleSourceRootType&lt;?&gt; getContainingSourceRootType(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8214.52&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary java.util.Collection&lt;com.intellij.openapi.vfs.VirtualFile&gt; getBinaryRoots()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.3741.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary java.lang.String getComparisonId()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModuleOrderEntry boolean isProductionOnTestDependency()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary com.intellij.openapi.roots.SyntheticLibrary newImmutableLibrary(java.lang.String, java.util.List&lt;? extends com.intellij.openapi.vfs.VirtualFile&gt;, java.util.List&lt;? extends com.intellij.openapi.vfs.VirtualFile&gt;, java.util.Set&lt;? extends com.intellij.openapi.vfs.VirtualFile&gt;, com.intellij.openapi.roots.SyntheticLibrary.ExcludeFileCondition)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ProjectFileIndex java.util.Collection&lt;com.intellij.platform.workspace.jps.entities.LibraryEntity&gt; findContainingLibraries(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.GeneratedSourcesFilter Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ContentIteratorEx">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.AdditionalLibraryRootsListenerHelper">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ModifiableRootModel void addModuleEntries(java.util.List&lt;com.intellij.openapi.module.Module&gt;, com.intellij.openapi.roots.DependencyScope, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.5080.55&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.DependencyScope boolean coversUseCasesOf(com.intellij.openapi.roots.DependencyScope)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.RootEntry">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary com.intellij.openapi.roots.SyntheticLibrary newImmutableLibrary(java.util.Collection&lt;com.intellij.openapi.vfs.VirtualFile&gt;, java.util.Set&lt;com.intellij.openapi.vfs.VirtualFile&gt;, com.intellij.openapi.util.Condition&lt;java.lang.CharSequence&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2827.15&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ExternalLibraryDescriptor java.lang.String getPreferredVersion()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2574.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.GeneratedSourcesFilter java.lang.String getNotificationText(com.intellij.openapi.vfs.VirtualFile, com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.SyntheticLibrary com.intellij.openapi.util.Condition&lt;com.intellij.openapi.vfs.VirtualFile&gt; getUnitedExcludeCondition()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ProjectRootManager void setProjectSdkName(java.lang.String, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.roots.ContentIteratorEx com.intellij.util.containers.TreeNodeProcessingResult processFileEx(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
</root>
